/*#########################################################################################################################################################
EVOEON 2D GAME BUILDER :: (c) 2014 Created By Brian Pressley :::: Example Demo Events
#########################################################################################################################################################*/


/*#################################################################*/
//Example Events : Camera Movement
/*#################################################################*/
void camera_movement_example()//Move the 2D camera using event code (Level must be larger than 800x600)
{
	nms_stop_player=true;//stop the player from being moved and animated with the keys
	nms_2d_camera_speed = 10;//Set the camera speed  (If Needed)
	nms_cam_move_down = 50; while(nms_cam_move_down>=1){wait(1);}//Move the camera 50 pixels down and wait until it's done.
	nms_cam_move_right = 50; while(nms_cam_move_right>=1){wait(1);}//Move the camera 50 pixels right and wait until it's done.
	nms_cam_move_up = 50; while(nms_cam_move_up>=1){wait(1);}//Move the camera 50 pixels up and wait until it's done.
	nms_cam_move_left = 50; while(nms_cam_move_left>=1){wait(1);}//Move the camera 50 pixels left and wait until it's done.
	nms_cam_find_player();//Move the camera to the players position
	while(nms_cam_move_down>=1 || nms_cam_move_right>=1 || nms_cam_move_up>=1 || nms_cam_move_left>=1){wait(1);}//Wait until player is found
	nms_camera_follow = true;//Camera will move when the player moves
	nms_stop_player=false;//Reactivate player
}


/*#################################################################*/
//Example Events : Camera Tint / Fade in & out
/*#################################################################*/
void camera_tint_example()//Tint the screen - Edit color and alpha
{
	nms_stop_player=true;//stop the player from being moved and animated with the keys
	nms_tint_blue=5; nms_tint_green=5; nms_tint_red=5; nms_tint_alpha=100; nms_tint_speed=5; nms_cam_tint_in();//Edit color/alpha/speed and call tint function
	while(nms_tint_screen_panel.alpha<=nms_tint_alpha){wait(1);} //Wait until the screen is tinted in
	nms_tint_speed=5; nms_cam_tint_out(); //Edit speed and Remove the tint when not needed
	while(nms_tint_screen_panel.alpha>=0){wait(1);} //Wait until the screen is tinted out
	nms_stop_player=false;//Reactivate player
}


/*#################################################################*/
//Example Events : Turn the Ground Layer into Animated Water
/*#################################################################*/
BMAP* nms_ground_water_a = "water1_a.png";//water animation frame 1
BMAP* nms_ground_water_b = "water1_b.png";//water animation frame 2
BMAP* nms_ground_water_c = "water1_c.png";//water animation frame 3
void nms_create_anim_water_layer()
{
	var water_speed = 12; //Low value=fast  //high value=slow
	while(NMS_AREA_ID==0) //If this is level 0 - Run this function
	{
		lv_grid.bmap = nms_ground_water_a; wait(water_speed);//Change bmap
		lv_grid.bmap = nms_ground_water_b; wait(water_speed);//Change bmap
		lv_grid.bmap = nms_ground_water_c; wait(water_speed);//Change bmap
		lv_grid.bmap = nms_ground_water_b; wait(water_speed);//Change bmap
		wait(1);
	}
}


/*#################################################################*/
//Example Events : Move the Player
/*#################################################################*/
void move_player_example()//move the player through event code
{
	nms_stop_player=true; //stop the player from being moved and animated with the keys
	nms_move_player_down=50; while(nms_move_player_down>=1){wait(1);} //move player down by 50 steps and wait until complete (One Step = player speed)
	nms_move_player_up=50; while(nms_move_player_up>=1){wait(1);} //move player up by 50 steps and wait until complete (One Step = player speed)
	nms_stop_player=false; //Reactivate player
}