//#########################################################################################################################################################
//PLAYER SPRITE SETTINGS
//#########################################################################################################################################################


void nms_setup_player_sprites()//This function is called by the editor
{	
	//The check boxes on the Gameplay Menu call these player sprite functions.
	if(GAMEPLAY_MODE[NMS_AREA_ID]==0)//SPRITE A
	{
		pl_anim_settings_holdx[0]=0; pl_anim_settings_holdx[1]=32; pl_anim_settings_holdx[2]=128; pl_anim_settings_holdx[3]=256;//Please review help file
		pl_anim_settings_holdy[0]=0; pl_anim_settings_holdy[1]=48; pl_anim_settings_holdy[2]=96; pl_anim_settings_holdy[3]=144;//Please review help file
		pan_setwindow(Hero_Player,1,0,0,32,48,sprite_A,hero_sprite_animX,hero_sprite_animY);//Please review help file		
		hero_animspeed=8;//Speed of the players animation
		nms_chara_speed=2;//Speed of the player
		nms_collision_offset_R=0; //Sprite Left Position Offset when coming in contact with the RIGHT SIDE of a collision block - Adjust if using different sprite sizes
		nms_collision_offset_F=-5; //Sprite Feet Position Offset when coming in contact with the TOP of a collision block - Adjust if using different sprite sizes
		nms_collision_offset_L=0; //Sprite Right Position Offset when coming in contact with the LEFT SIDE of a collision block - Adjust if using different sprite sizes
		nms_collision_offset_H=0; //Sprite Head Position Offset when coming in contact with the BOTTOM of a collision block - Adjust if using different sprite sizes
	}
	
	if(GAMEPLAY_MODE[NMS_AREA_ID]==1)//SPRITE B
	{
		pl_anim_settings_holdx[0]=0; pl_anim_settings_holdx[1]=70; pl_anim_settings_holdx[2]=560; pl_anim_settings_holdx[3]=1120;//Please review help file
		pl_anim_settings_holdy[0]=0; pl_anim_settings_holdy[1]=70; pl_anim_settings_holdy[2]=140; pl_anim_settings_holdy[3]=210;//Please review help file
		pan_setwindow(Hero_Player,1,0,0,70,70,sprite_B,hero_sprite_animX,hero_sprite_animY);//Please review help file
		hero_animspeed=5;//Speed of the players animation
		nms_chara_speed=1.5;//Speed of the player
		nms_collision_offset_R=35; //Sprite Left Position Offset when coming in contact with the RIGHT SIDE of a collision block - Adjust if using different sprite sizes
		nms_collision_offset_F=18; //Sprite Feet Position Offset when coming in contact with the TOP of a collision block - Adjust if using different sprite sizes
		nms_collision_offset_L=0; //Sprite Right Position Offset when coming in contact with the LEFT SIDE of a collision block - Adjust if using different sprite sizes
		nms_collision_offset_H=25; //Sprite Head Position Offset when coming in contact with the BOTTOM of a collision block - Adjust if using different sprite sizes
	}
	
	if(GAMEPLAY_MODE[NMS_AREA_ID]==2)//SPRITE C
	{
		pl_anim_settings_holdx[0]=0; pl_anim_settings_holdx[1]=70; pl_anim_settings_holdx[2]=420; pl_anim_settings_holdx[3]=840;//Please review help file
		pl_anim_settings_holdy[0]=0; pl_anim_settings_holdy[1]=70; pl_anim_settings_holdy[2]=140; pl_anim_settings_holdy[3]=210;//Please review help file
		pan_setwindow(Hero_Player,1,0,0,70,70,sprite_C,hero_sprite_animX,hero_sprite_animY);//Please review help file
		hero_animspeed=5;//Speed of the players animation
		nms_chara_speed=2;//Speed of the player
		nms_collision_offset_R=35; //Sprite Left Position Offset when coming in contact with the RIGHT SIDE of a collision block - Adjust if using different sprite sizes
		nms_collision_offset_F=15; //Sprite Feet Position Offset when coming in contact with the TOP of a collision block - Adjust if using different sprite sizes
		nms_collision_offset_L=0; //Sprite Right Position Offset when coming in contact with the LEFT SIDE of a collision block - Adjust if using different sprite sizes
		nms_collision_offset_H=-15; //Sprite Head Position Offset when coming in contact with the BOTTOM of a collision block - Adjust if using different sprite sizes
	}
	
	if(GAMEPLAY_MODE[NMS_AREA_ID]==3)//SPRITE D
	{
		pl_anim_settings_holdx[0]=0; pl_anim_settings_holdx[1]=144; pl_anim_settings_holdx[2]=1440; pl_anim_settings_holdx[3]=2880;//Please review help file
		pl_anim_settings_holdy[0]=0; pl_anim_settings_holdy[1]=324; pl_anim_settings_holdy[2]=648; pl_anim_settings_holdy[3]=972;//Please review help file
		pan_setwindow(Hero_Player,1,0,0,144,324,sprite_D,hero_sprite_animX,hero_sprite_animY);//Please review help file
		hero_animspeed=5;//Speed of the players animation
		nms_chara_speed=2;//Speed of the player
		nms_collision_offset_R=120; //Sprite Left Position Offset when coming in contact with the RIGHT SIDE of a collision block - Adjust if using different sprite sizes
		nms_collision_offset_F=270; //Sprite Feet Position Offset when coming in contact with the TOP of a collision block - Adjust if using different sprite sizes
		nms_collision_offset_L=0; //Sprite Right Position Offset when coming in contact with the LEFT SIDE of a collision block - Adjust if using different sprite sizes
		nms_collision_offset_H=250; //Sprite Head Position Offset when coming in contact with the BOTTOM of a collision block - Adjust if using different sprite sizes
	}
}

